
# Bulk Upsert Booking Custom Attributes Request

Represents a [BulkUpsertBookingCustomAttributes](../../doc/apis/booking-custom-attributes.md#bulk-upsert-booking-custom-attributes) request.

## Structure

`BulkUpsertBookingCustomAttributesRequest`

## Fields

| Name | Type | Tags | Description | Getter | Setter |
|  --- | --- | --- | --- | --- | --- |
| `values` | [`array<string,BookingCustomAttributeUpsertRequest>`](../../doc/models/booking-custom-attribute-upsert-request.md) | Required | A map containing 1 to 25 individual upsert requests. For each request, provide an<br>arbitrary ID that is unique for this `BulkUpsertBookingCustomAttributes` request and the<br>information needed to create or update a custom attribute. | getValues(): array | setValues(array values): void |

## Example (as JSON)

```json
{
  "values": {
    "key0": {
      "booking_id": "booking_id4",
      "custom_attribute": {
        "key": null,
        "value": null,
        "version": null,
        "visibility": null,
        "definition": null,
        "updated_at": null,
        "created_at": null
      },
      "idempotency_key": null
    },
    "key1": {
      "booking_id": "booking_id5",
      "custom_attribute": {
        "key": null,
        "value": null,
        "version": null,
        "visibility": null,
        "definition": null,
        "updated_at": null,
        "created_at": null
      },
      "idempotency_key": null
    },
    "key2": {
      "booking_id": "booking_id6",
      "custom_attribute": {
        "key": null,
        "value": null,
        "version": null,
        "visibility": null,
        "definition": null,
        "updated_at": null,
        "created_at": null
      },
      "idempotency_key": null
    }
  }
}
```

